/**
 * Style for ApBody.
 * @constructor ApBodyStyle
 */

"use strict";

const React = require('react'),
    types = React.PropTypes,
    extend = require('extend'),
    ApStyle = require('apeman-react-style')['ApStyle'];

/** @lends ApBodyStyle */
let ApBodyStyle = React.createClass({
    propTypes: {
        scope: types.bool,
        style: types.object,
        color: types.string
    },
    getDefaultProps: function () {
        return {
            scoped: false,
            style: {},
            color: '#555'
        }
    },
    render: function () {
        var s = this,
            props = s.props;

        let color = props.color;

        let data = {
                '.ap-body': {
                    margin: 0,
                    padding: 0,
                    fontFamily: `Meiryo, sans-serif`,
                    color: `${color}`
                }
            },
            smallMediaData = {},
            mediumMediaData = {},
            largeMediaData = {};
        return (
            <ApStyle scoped={props.scoped}
                     data={extend(data, props.style)}
                     smallMediaData={smallMediaData}
                     mediumMediaData={mediumMediaData}
                     largeMediaData={largeMediaData}
            >{props.children}</ApStyle>
        );
    }
});


module.exports = ApBodyStyle;

